<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="ParkzeitDataSet" targetNamespace="http://tempuri.org/ParkzeitDataSet.xsd" xmlns:mstns="http://tempuri.org/ParkzeitDataSet.xsd" xmlns="http://tempuri.org/ParkzeitDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection ConnectionStringObject="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=C:\Projekte.NET\Verag\Parkzeit\Parkzeit.accdb" IsAppSettingsProperty="false" Modifier="Assembly" Name="Parkzeit.accdb" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="ParkzeitenTableAdapter" GeneratorDataComponentClassName="ParkzeitenTableAdapter" Name="Parkzeiten" UserDataComponentName="ParkzeitenTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Parkzeit.accdb" DbObjectName="Parkzeiten" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `Parkzeiten` WHERE ((`ParkzeitID` = ?) AND ((? = 1 AND `Laufende_Nr` IS NULL) OR (`Laufende_Nr` = ?)) AND ((? = 1 AND `Von` IS NULL) OR (`Von` = ?)) AND ((? = 1 AND `Bis` IS NULL) OR (`Bis` = ?)) AND ((? = 1 AND `Dauer` IS NULL) OR (`Dauer` = ?)) AND ((? = 1 AND `Dauer_Minuten` IS NULL) OR (`Dauer_Minuten` = ?)) AND ((? = 1 AND `Kennzeichen` IS NULL) OR (`Kennzeichen` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_ParkzeitID" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="ParkzeitID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Laufende_Nr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Laufende_Nr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_Laufende_Nr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Laufende_Nr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Von" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Von" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_Von" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="Von" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Bis" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Bis" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_Bis" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="Bis" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Dauer" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Dauer" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Dauer" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Dauer" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Dauer_Minuten" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Dauer_Minuten" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_Dauer_Minuten" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Dauer_Minuten" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Kennzeichen" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Kennzeichen" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Kennzeichen" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Kennzeichen" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `Parkzeiten` (`Laufende_Nr`, `Von`, `Bis`, `Dauer`, `Dauer_Minuten`, `Kennzeichen`) VALUES (?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Laufende_Nr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Laufende_Nr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Von" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="Von" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Bis" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="Bis" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Dauer" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Dauer" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Dauer_Minuten" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Dauer_Minuten" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Kennzeichen" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Kennzeichen" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT ParkzeitID, Laufende_Nr, Von, Bis, Dauer, Dauer_Minuten, Kennzeichen FROM Parkzeiten</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `Parkzeiten` SET `Laufende_Nr` = ?, `Von` = ?, `Bis` = ?, `Dauer` = ?, `Dauer_Minuten` = ?, `Kennzeichen` = ? WHERE ((`ParkzeitID` = ?) AND ((? = 1 AND `Laufende_Nr` IS NULL) OR (`Laufende_Nr` = ?)) AND ((? = 1 AND `Von` IS NULL) OR (`Von` = ?)) AND ((? = 1 AND `Bis` IS NULL) OR (`Bis` = ?)) AND ((? = 1 AND `Dauer` IS NULL) OR (`Dauer` = ?)) AND ((? = 1 AND `Dauer_Minuten` IS NULL) OR (`Dauer_Minuten` = ?)) AND ((? = 1 AND `Kennzeichen` IS NULL) OR (`Kennzeichen` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Laufende_Nr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Laufende_Nr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Von" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="Von" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Bis" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="Bis" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Dauer" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Dauer" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Dauer_Minuten" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Dauer_Minuten" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Kennzeichen" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Kennzeichen" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_ParkzeitID" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="ParkzeitID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Laufende_Nr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Laufende_Nr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_Laufende_Nr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Laufende_Nr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Von" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Von" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_Von" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="Von" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Bis" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Bis" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_Bis" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="Bis" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Dauer" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Dauer" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Dauer" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Dauer" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Dauer_Minuten" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Dauer_Minuten" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_Dauer_Minuten" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Dauer_Minuten" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Kennzeichen" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Kennzeichen" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Kennzeichen" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Kennzeichen" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ParkzeitID" DataSetColumn="ParkzeitID" />
              <Mapping SourceColumn="Laufende_Nr" DataSetColumn="Laufende_Nr" />
              <Mapping SourceColumn="Von" DataSetColumn="Von" />
              <Mapping SourceColumn="Bis" DataSetColumn="Bis" />
              <Mapping SourceColumn="Dauer" DataSetColumn="Dauer" />
              <Mapping SourceColumn="Dauer_Minuten" DataSetColumn="Dauer_Minuten" />
              <Mapping SourceColumn="Kennzeichen" DataSetColumn="Kennzeichen" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="ParkzeitDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="ParkzeitDataSet" msprop:Generator_UserDSName="ParkzeitDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Parkzeiten" msprop:Generator_TableClassName="ParkzeitenDataTable" msprop:Generator_TableVarName="tableParkzeiten" msprop:Generator_TablePropName="Parkzeiten" msprop:Generator_RowDeletingName="ParkzeitenRowDeleting" msprop:Generator_UserTableName="Parkzeiten" msprop:Generator_RowChangingName="ParkzeitenRowChanging" msprop:Generator_RowEvHandlerName="ParkzeitenRowChangeEventHandler" msprop:Generator_RowDeletedName="ParkzeitenRowDeleted" msprop:Generator_RowEvArgName="ParkzeitenRowChangeEvent" msprop:Generator_RowChangedName="ParkzeitenRowChanged" msprop:Generator_RowClassName="ParkzeitenRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ParkzeitID" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnParkzeitID" msprop:Generator_ColumnPropNameInRow="ParkzeitID" msprop:Generator_ColumnPropNameInTable="ParkzeitIDColumn" msprop:Generator_UserColumnName="ParkzeitID" type="xs:int" />
              <xs:element name="Laufende_Nr" msprop:Generator_ColumnVarNameInTable="columnLaufende_Nr" msprop:Generator_ColumnPropNameInRow="Laufende_Nr" msprop:Generator_ColumnPropNameInTable="Laufende_NrColumn" msprop:Generator_UserColumnName="Laufende_Nr" type="xs:int" minOccurs="0" />
              <xs:element name="Von" msprop:Generator_ColumnVarNameInTable="columnVon" msprop:Generator_ColumnPropNameInRow="Von" msprop:Generator_ColumnPropNameInTable="VonColumn" msprop:Generator_UserColumnName="Von" type="xs:dateTime" minOccurs="0" />
              <xs:element name="Bis" msprop:Generator_ColumnVarNameInTable="columnBis" msprop:Generator_ColumnPropNameInRow="Bis" msprop:Generator_ColumnPropNameInTable="BisColumn" msprop:Generator_UserColumnName="Bis" type="xs:dateTime" minOccurs="0" />
              <xs:element name="Dauer" msprop:Generator_ColumnVarNameInTable="columnDauer" msprop:Generator_ColumnPropNameInRow="Dauer" msprop:Generator_ColumnPropNameInTable="DauerColumn" msprop:Generator_UserColumnName="Dauer" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Dauer_Minuten" msprop:Generator_ColumnVarNameInTable="columnDauer_Minuten" msprop:Generator_ColumnPropNameInRow="Dauer_Minuten" msprop:Generator_ColumnPropNameInTable="Dauer_MinutenColumn" msprop:Generator_UserColumnName="Dauer_Minuten" type="xs:int" minOccurs="0" />
              <xs:element name="Kennzeichen" msprop:Generator_ColumnVarNameInTable="columnKennzeichen" msprop:Generator_ColumnPropNameInRow="Kennzeichen" msprop:Generator_ColumnPropNameInTable="KennzeichenColumn" msprop:Generator_UserColumnName="Kennzeichen" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Parkzeiten" />
      <xs:field xpath="mstns:ParkzeitID" />
    </xs:unique>
  </xs:element>
</xs:schema>